﻿'use strict';

define(function (require) {
    var TaskViewModel = require('taskViewModel');
    require('knockout.validation');

    function ViewModel(context, params) {
        var self = this;
        TaskViewModel.call(self, context);

        // Since this task doesn't have a UI the execute method is executed immediately.
        self.execute = function () {
            prompt("Copy link to current location", window.location.href);
            return $.Deferred().resolve().promise();
        };
    }

    return ViewModel;
});